import { BaseProvider } from '@ethersproject/providers';
export type ENSRecords = {
    [key: string]: string;
} & Partial<{
    avatar: string;
    github: string;
    reddit: string;
    instagram: string;
    twitter: string;
    email: string;
    url: string;
    description: string;
}>;
export interface ResolvedENS {
    /**
     * Owner address
     */
    owner: string | null;
    /**
     * Resolved address
     */
    address: string | null;
    /**
     * ENS text records
     */
    records: ENSRecords;
    /**
     * Crypto addresses
     */
    coins: Record<string, string>;
    /**
     * Reverse lookup domain
     */
    domain: string | null;
}
/**
 *
 * @param provider Ethereum provider
 * @param contractAddress ENS resolver contract address
 * @returns
 */
export declare const getENS: (opts?: Partial<{
    provider: BaseProvider;
    contractAddress: string;
    endpointUrl: string;
}>) => (_domain: string, fetchOptions?: RequestInit) => Promise<ResolvedENS>;
